//
//  MessageSubscriber.m
//  Tutorial1
//
//  Created by Martin Ott on 10/27/05.
//  Copyright 2005 TUM. All rights reserved.
//

#import "MessageSubscriber.h"


@implementation MessageSubscriber

- (void)dealloc {
    [name release];
    [super dealloc];
}

- (NSString *)name {
    return [[name retain] autorelease];
}

- (void)setName:(NSString *)value {
    if (name != value) {
        [name release];
        name = [value copy];
    }
}

- (void)receiveMessage:(NSString *)aMessage {
    NSLog(@"Subscriber #%@ received message: %@", [self name], aMessage);
}

@end
