//
//  MessagePublisher.h
//  Tutorial1
//
//  Created by Martin Ott on 10/27/05.
//  Copyright 2005 TUM. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "MessageSubscriber.h"


@interface MessagePublisher : NSObject {
    NSMutableArray *subscribers;
}

- (int)numberOfSubscribers;
- (void)subscribe:(MessageSubscriber *)subscriber;
- (void)unsubscribe:(MessageSubscriber *)subscriber;
- (NSArray *)subscribers;
- (void)publishMessage:(NSString *)message;


@end
